# SocketClient (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj
Class SocketClient

    java.lang.Object
      net.schmizz.sshj.SocketClient

Direct Known Subclasses:
  SSHClient

    public abstract class SocketClient

extends Object

Method Summary
`void` `connect(InetAddress host)`
`void` `connect(InetAddress host, int port)`
`void` `connect(InetAddress host, int port, InetAddress localAddr, int localPort)`
`void` `connect(String hostname)`
`void` `connect(String hostname, int port)`
`void` `connect(String hostname, int port, InetAddress localAddr, int localPort)`
`void` `disconnect()`
`int` `getConnectTimeout()`
`InetAddress` `getLocalAddress()`
`int` `getLocalPort()`
`InetAddress` `getRemoteAddress()`
`String` `getRemoteHostname()`
`int` `getRemotePort()`
`Socket` `getSocket()`
`SocketFactory` `getSocketFactory()`
`int` `getTimeout()`
`boolean` `isConnected()`
`void` `setConnectTimeout(int connectTimeout)`
`void` `setSocketFactory(SocketFactory factory)`
`void` `setTimeout(int timeout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### connect

    public void connect(InetAddress host,
                        int port)
                 throws IOException

  Throws:
    `IOException`

### connect

    public void connect(String hostname,
                        int port)
                 throws IOException

  Throws:
    `IOException`

### connect

    public void connect(InetAddress host,
                        int port,
                        InetAddress localAddr,
                        int localPort)
                 throws IOException

  Throws:
    `IOException`

### connect

    public void connect(String hostname,
                        int port,
                        InetAddress localAddr,
                        int localPort)
                 throws IOException

  Throws:
    `IOException`

### connect

    public void connect(InetAddress host)
                 throws IOException

  Throws:
    `IOException`

### connect

    public void connect(String hostname)
                 throws IOException

  Throws:
    `IOException`

### disconnect

    public void disconnect()
                    throws IOException

  Throws:
    `IOException`

### isConnected

    public boolean isConnected()

### getLocalPort

    public int getLocalPort()

### getLocalAddress

    public InetAddress getLocalAddress()

### getRemoteHostname

    public String getRemoteHostname()

### getRemotePort

    public int getRemotePort()

### getRemoteAddress

    public InetAddress getRemoteAddress()

### setSocketFactory

    public void setSocketFactory(SocketFactory factory)

### getSocketFactory

    public SocketFactory getSocketFactory()

### getConnectTimeout

    public int getConnectTimeout()

### setConnectTimeout

    public void setConnectTimeout(int connectTimeout)

### getTimeout

    public int getTimeout()

### setTimeout

    public void setTimeout(int timeout)

### getSocket

    public Socket getSocket()

Copyright © 2009-2012. All Rights Reserved.